JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DropShadower Class Reference
juce_gui_basics » misc

Adds a drop-shadow to a component. More...

`#include <juce_DropShadower.h>`

Inheritance diagram for DropShadower:

## Public Member Functions
| DropShadower (const DropShadow &shadowType)
| Creates a DropShadower.
| ~DropShadower () override
| Destructor.
void | setOwner (Component *componentToFollow)
| Attaches the DropShadower to the component you want to shadow.

## Detailed Description

Adds a drop-shadow to a component.

This object creates and manages a set of components which sit around a component, creating a gaussian shadow around it. The components will track the position of the component and if it's brought to the front they'll also follow this.

For desktop windows you don't need to use this class directly - just set the Component::windowHasDropShadow flag when calling Component::addToDesktop(), and the system will create one of these if it's needed (which it obviously isn't on the Mac, for example).

## Constructor & Destructor Documentation

## ◆ DropShadower()

DropShadower::DropShadower | ( | const DropShadow & | shadowType | ) |

Creates a DropShadower.

## ◆ ~DropShadower()

DropShadower::~DropShadower | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ setOwner()

void DropShadower::setOwner | ( | Component * | componentToFollow | ) |

Attaches the DropShadower to the component you want to shadow.

The documentation for this class was generated from the following file:

- juce_DropShadower.h